Bug 998735 - Several pmatop reporting/output oddities
Several pmatop reporting/output oddities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 20:06 EDT by Nathan Scott
Modified: 2013-11-18 20:23 EST (History)
4 users (show)

See Also:
Fixed In Version: pcp-3.8.6-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:55:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing negative per-process cpu and invalid cpu% values (200.61 KB, image/png)
2013-08-19 20:06 EDT, Nathan Scott
no flags Details
PCP archive showing issues in pmatop output (476.73 KB, application/x-gzip)
2013-08-19 20:08 EDT, Nathan Scott
no flags Details

  None (edit)
Description Nathan Scott 2013-08-19 20:06:49 EDT
Created attachment 788212 [details]
Screenshot showing negative per-process cpu and invalid cpu% values

Description of problem:

I've noticed pmatop in current PCP is reporting strangely in a couple of ways:
- incorrectly sorting top cpu burners.  this might be a 64bit metric issue, where the metric is being displayed using 32bits worth?  (attached pcp archive shows this)
- some columns are displayed with negative values (attached screenshot shows this)
- some columns are displayed with both scientific notation and with K suffix (see screenshot attached)
- column widths for some columns overflows the allotted screen real-estate (attached archive shows the problem)

Version-Release number of selected component (if applicable):

pcp dev branch exhibits the problem.

How reproducible:

Every time for me, not so much for scox & fche after chatting.  May be related to long running cpu-burning processes I have locally.  An archive is attached showing the incorrect sorting.

Steps to Reproduce:
1. Run pmatop -h local: 
2. Run pmatop -r atop 1
3. Both the above show the issues for me

Actual results:

pmatop displays either the wrong top-cpu-burners (case 2), or sometimes non-existent processes (seen in case 1 occassionally).

Expected results:

pmatop displays top cpu burners that match up with what top(1) shows.

Additional info:
Comment 1 Nathan Scott 2013-08-19 20:08:35 EDT
Created attachment 788213 [details]
PCP archive showing issues in pmatop output
Comment 2 Fedora Admin XMLRPC Client 2013-09-11 15:50:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Nathan Scott 2013-09-11 15:56:49 EDT
Oops, reassign back - pkgdb UI interpretation failure on my part.  ;)
Comment 4 Fedora End Of Life 2013-09-16 12:36:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Stan Cox 2013-10-31 18:05:20 EDT
I think the change "pmatop: use utime/stime instead of schedstat" will fix this.  utime/stime units are smaller, milliseconds, and a "try_magnitude" display feature was added to try and use larger display units if possible
Comment 6 Fedora Update System 2013-11-01 01:12:35 EDT
pcp-3.8.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.8.6-1.fc20
Comment 7 Fedora Update System 2013-11-01 01:13:42 EDT
pcp-3.8.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.8.6-1.fc19
Comment 8 Fedora Update System 2013-11-01 01:14:20 EDT
pcp-3.8.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-3.8.6-1.fc18
Comment 9 Fedora Update System 2013-11-01 01:15:01 EDT
pcp-3.8.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.8.6-1.el6
Comment 10 Fedora Update System 2013-11-01 01:15:44 EDT
pcp-3.8.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.8.6-1.el5
Comment 11 Fedora Update System 2013-11-01 16:25:58 EDT
Package pcp-3.8.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.8.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20460/pcp-3.8.6-1.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-11-10 01:55:15 EST
pcp-3.8.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-11-10 21:38:13 EST
pcp-3.8.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-10 21:38:32 EST
pcp-3.8.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-18 20:21:58 EST
pcp-3.8.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-18 20:23:35 EST
pcp-3.8.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.